#pragma once
#include <map>
struct Fish_JumpCFGData
{
	//key
	int mID;
	//类型
	int mType;
	//Icon1
	std::string m图标1;
	//Icon2
	std::string m图标2;
	//Icon3
	std::string m图标3;
	//Icon4
	std::string m图标4;
};

class Fish_JumpCFG
{
public:
private:
	static std::auto_ptr<Fish_JumpCFG> msSingleton;
public:
	int GetCount();
	const Fish_JumpCFGData* GetData(int ID);
	const std::map<int, Fish_JumpCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_JumpCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_JumpCFGData> mMapData;
};
